﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Machr_HledaniCest
{
    class Program
    {
        static void Main(string[] args)
        {
            City city = new City();
            Parser parser = new Parser();
            List<Query> queries = new List<Query>();


            bool validInput = parser.CreateGraph(city);

            StringBuilder builder = new StringBuilder();

            if (validInput)
            {
                validInput = parser.ParseQueries(queries);
            }

            Console.Clear();

            if (validInput)
            {
                foreach (Query q in queries)
                {
                    Path path = city.FindFastersPath(q);

                    if (path.Distance == double.PositiveInfinity)
                    {
                        builder.Append("-");
                    }
                    else
                    {
                        builder.Append(path.ToString());
                    }
                    builder.Append(Environment.NewLine);
                }
                //remove last NewLine
                builder.Remove(builder.Length - 1, 1);
            }
            else
            {
                builder = new StringBuilder();
                builder.Append("!");
            }

            Console.WriteLine(builder.ToString());
            //Console.ReadKey();
        }


    }
}
