﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Machr_HledaniCest
{
    internal class Query
    {
        public string StrartStreet { get; set; }

        public string EndStreet { get; set; }

        public List<TraficChange> TrafficChanges { get; set; }


        public Query()
        {
            TrafficChanges = new List<TraficChange>();
        }

    }

    internal class TraficChange
    {
        public string StreetName { get; set; }

        public StreetState State { get; set; }


        public TraficChange(string streetName, string changeType)
        {
            StreetName = streetName;
            ParseChangeType(changeType);
        }

        private void ParseChangeType(string changeType)
        {
            if (changeType.StartsWith("-"))
            {
                State = StreetState.Normal;
            }
            else if (changeType.StartsWith("+"))
            {
                changeType = changeType.Remove(0, 1);
                if(changeType == "c")
                {
                    State = StreetState.Closed;
                }
                else if(changeType == "b")
                {
                    State = StreetState.Clogged;
                }
                else
                {
                    throw new ArgumentException();
                }
            }
            else
            {
                throw new ArgumentException();
            }
        }

    }

}
