﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Machr_HledaniCest
{
    internal class Street
    {

        public string Name { get; set; }

        public double Distance { get; set; }

        public double ActualDistance { get; set; }

        private StreetState _streetState;
        public StreetState State
        {
            get { return _streetState; }
            set
            {
                if(value == StreetState.Normal)
                {
                    ActualDistance = Distance;
                }
                else if(value == StreetState.Clogged)
                {
                    ActualDistance = Distance * 4;
                }
                else if(value == StreetState.Closed)
                {
                    ActualDistance = double.PositiveInfinity;
                }
                _streetState = value;
            }
        }


        public List<Junction> Junctions { get; set; }


        public Street(string name, double distance)
        {
            Name = name;
            Distance = distance;
            State = StreetState.Normal;
            Junctions = new List<Junction>();
        }

        public override string ToString()
        {
            return Name;
        }

    }

    internal enum StreetState
    {
        Normal,
        Clogged,
        Closed
    }

}
